Imports Microsoft.VisualBasic

<Serializable()> _
Public Class SiteRedirect
    Private _DBTableID As Integer
    Private _requestURL As String
    Private _redirectURL As String
    Private _SEOUse As Boolean
    Private _createDate As Date
    Private _modifyDate As Date

    Public Property DBTableID() As Integer
        Get
            Return _DBTableID
        End Get
        Set(ByVal value As Integer)
            _DBTableID = value
        End Set
    End Property
    Public Property RequestURL() As String
        Get
            Return _requestURL
        End Get
        Set(ByVal value As String)
            _requestURL = value
        End Set
    End Property
    Public Property RedirectURL() As String
        Get
            Return _redirectURL
        End Get
        Set(ByVal value As String)
            _redirectURL = value
        End Set
    End Property
    '############################################################
    'MODIFICATION   ROD COPELAND    7/18/2008   ISSUE ID 2374
    'ADDING THE SEARCH ENGINE OPTIMIZATION USAGE INDICATOR
    '############################################################
    Public Property SEOUse() As Boolean
        Get
            Return _SEOUse
        End Get
        Set(ByVal value As Boolean)
            _SEOUse = value
        End Set
    End Property
    Public Property CreateDate() As Date
        Get
            Return _createDate
        End Get
        Set(ByVal value As Date)
            _createDate = value
        End Set
    End Property
    Public Property ModifyDate() As Date
        Get
            Return _modifyDate
        End Get
        Set(ByVal value As Date)
            _modifyDate = value
        End Set
    End Property
End Class
